Package com.databricks.jdbc.core.converters

## Class DoubleConverter

- java.lang.Object
- - com.databricks.jdbc.core.converters.AbstractObjectConverter
  - - com.databricks.jdbc.core.converters.DoubleConverter

    public class DoubleConverter
    extends AbstractObjectConverter

### Constructor Summary

Constructors
`DoubleConverter​(Object object)`

### Method Summary

All Methods Instance Methods Concrete Methods
`BigDecimal` `convertToBigDecimal()`
`BigInteger` `convertToBigInteger()`
`boolean` `convertToBoolean()`
`byte` `convertToByte()`
`byte[]` `convertToByteArray()`
`double` `convertToDouble()`
`float` `convertToFloat()`
`int` `convertToInt()`
`long` `convertToLong()`
`short` `convertToShort()`
`String` `convertToString()`

### Methods inherited from class com.databricks.jdbc.core.converters.AbstractObjectConverter

`convertToAsciiStream, convertToBinaryStream, convertToChar, convertToCharacterStream, convertToDate, convertToLocalDate, convertToTimestamp, convertToTimestamp, convertToUnicodeStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DoubleConverter

    public DoubleConverter​(Object object)
                    throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

### Method Detail

#### convertToDouble

    public double convertToDouble()
                           throws DatabricksSQLException

Overrides:
  `convertToDouble` in class `AbstractObjectConverter`
Throws:
  `DatabricksSQLException`

#### convertToBigInteger

    public BigInteger convertToBigInteger()
                                   throws DatabricksSQLException

Overrides:
  `convertToBigInteger` in class `AbstractObjectConverter`
Throws:
  `DatabricksSQLException`

#### convertToBoolean

    public boolean convertToBoolean()
                             throws DatabricksSQLException

Overrides:
  `convertToBoolean` in class `AbstractObjectConverter`
Throws:
  `DatabricksSQLException`

#### convertToByte

    public byte convertToByte()
                       throws DatabricksSQLException

Overrides:
  `convertToByte` in class `AbstractObjectConverter`
Throws:
  `DatabricksSQLException`

#### convertToShort

    public short convertToShort()
                         throws DatabricksSQLException

Overrides:
  `convertToShort` in class `AbstractObjectConverter`
Throws:
  `DatabricksSQLException`

#### convertToInt

    public int convertToInt()
                     throws DatabricksSQLException

Overrides:
  `convertToInt` in class `AbstractObjectConverter`
Throws:
  `DatabricksSQLException`

#### convertToLong

    public long convertToLong()
                       throws DatabricksSQLException

Overrides:
  `convertToLong` in class `AbstractObjectConverter`
Throws:
  `DatabricksSQLException`

#### convertToFloat

    public float convertToFloat()
                         throws DatabricksSQLException

Overrides:
  `convertToFloat` in class `AbstractObjectConverter`
Throws:
  `DatabricksSQLException`

#### convertToBigDecimal

    public BigDecimal convertToBigDecimal()
                                   throws DatabricksSQLException

Overrides:
  `convertToBigDecimal` in class `AbstractObjectConverter`
Throws:
  `DatabricksSQLException`

#### convertToByteArray

    public byte[] convertToByteArray()
                              throws DatabricksSQLException

Overrides:
  `convertToByteArray` in class `AbstractObjectConverter`
Throws:
  `DatabricksSQLException`

#### convertToString

    public String convertToString()
                           throws DatabricksSQLException

Overrides:
  `convertToString` in class `AbstractObjectConverter`
Throws:
  `DatabricksSQLException`